@echo off
goto StartHere

:Bat_Info
echo ************************************************************************
echo *    UNDORPL.BAT
echo *
echo *    Un-installs OpenHelp 6.0. Use this batch file only if you have 
echo *    previously run OHELPRPL.BAT. 
echo *
echo *    If you used OHELPNEW.BAT to install OpenHelp 6.0, use 
echo *    UNDONEW.BAT to un-install OpenHelp 6.0.
echo *
:Bat_Usage
echo *
echo *    This batch file requires two parameters. 
echo *     * The first parameter specifies the drive and directory in which 
echo *       BC5 is installed. Enter a colon with the drive letter, 
echo *       followed by the backslash and directory name, e.g. C:\BC5 
echo *     * The second parameter specifies the drive where Windows is 
echo *       installed. Enter the drive letter followed by a colon, 
echo *       e.g. D:
echo *
echo *    Usage:   OHELPNRPL param1 param2
echo *    Example: OHELPRPL C:\BC5 D:
echo *
echo ************************************************************************
goto AllDone

:StartHere
  if "%1" == "" goto Bat_Usage
  if "%1" == "?" goto Bat_Usage
  if "%1" == "/?" goto Bat_Usage
  if "%1" == "-?" goto Bat_Usage
  if "%1" == "/h" goto Bat_Usage
  if "%1" == "/H" goto Bat_Usage
  if "%1" == "-h" goto Bat_Usage
  if "%1" == "-H" goto Bat_Usage
  if "%2" == "" goto Bat_Usage

echo *    Delete OPENHELP.CFG from BC5\HELP
ATTRIB -R %1\HELP\OPENHELP.CFG
DEL %1\HELP\OPENHELP.CFG 

echo *    Delete OPENHELP.EXE and OPENHELP.IN_ from BC5\BIN
ATTRIB -R %1\BIN\OPENHELP.EXE
ATTRIB -R %1\BIN\OPENHELP.IN_
DEL %1\BIN\OPENHELP.EXE 
DEL %1\BIN\OPENHELP.IN_ %

echo *    Rename OpenHelp and CFG files in BC5\BIN
ATTRIB -R %1\BIN\OHLP5EXE.SAV
ATTRIB -R %1\BIN\OHLP5CFG.SAV
ATTRIB -R %1\BIN\BOPNHLP.SAV
REN %1\BIN\OHLP5EXE.SAV OPENHELP.EXE 
REN %1\BIN\OHLP5CFG.SAV OPENHELP.CFG 
REN %1\BIN\BOPNHLP.SAV BOPNHLP.CFG 

echo *    Delete OPENHELP.HLP, OPENHELP.CNT, OPENHELP.MST and OPENHELP.TOC 
echo *    from BC5\HELP
ATTRIB -R %1\HELP\OPENHELP.HLP 
ATTRIB -R %1\HELP\OPENHELP.CNT
ATTRIB -R %1\HELP\OPENHELP.MST
ATTRIB -R %1\HELP\OPENHELP.TOC
DEL %1\HELP\OPENHELP.HLP 
DEL %1\HELP\OPENHELP.CNT 
DEL %1\HELP\OPENHELP.MST 
DEL %1\HELP\OPENHELP.TOC 

echo *    Rename OPENHELP 5.0 .HLP, .TOC and .CNT files in BC5\HELP
ATTRIB -R %1\HELP\OHLP5HLP.SAV
ATTRIB -R %1\HELP\OHLP5CNT.SAV
ATTRIB -R %1\HELP\OHLP5TOC.SAV
REN %1\HELP\OHLP5HLP.SAV OPENHELP.HLP 
REN %1\HELP\OHLP5CNT.SAV OPENHELP.CNT 
REN %1\HELP\OHLP5TOC.SAV OPENHELP.TOC 

echo *    Delete CNT files specific for OpenHelp 6.0
ATTRIB -R %1\HELP\*.CNT
DEL %1\HELP\BC5MAIN.CNT 
DEL %1\HELP\BCDOS.CNT
DEL %1\HELP\BCERRMSG.CNT
DEL %1\HELP\BCPP.CNT
DEL %1\HELP\BCTOOLS.CNT
DEL %1\HELP\BCVDTREF.CNT
DEL %1\HELP\BCW.CNT
DEL %1\HELP\BWCC.CNT
DEL %1\HELP\CLASSLIB.CNT
DEL %1\HELP\OCF.CNT
DEL %1\HELP\OWL50.CNT
DEL %1\HELP\OWLEX.CNT
DEL %1\HELP\SCRIPT.CNT
DEL %1\HELP\STL.CNT
DEL %1\HELP\WINSYS.CNT
DEL %1\HELP\WORKSHOP.CNT
DEL %1\HELP\BCWJAVA.CNT
DEL %1\HELP\BCWPVCS.CNT
DEL %1\HELP\CG5.CNT
DEL %1\HELP\TOGETHER.CNT

echo *    Rename *.SAV in BC5\HELP to *.CNT
ATTRIB -R %1\HELP\*.SAV
REN  %1\HELP\*.SAV *.CNT

echo *    Reset attribute on GID files to read/write and delete
ATTRIB -H %1\HELP\*.GID
DEL %1\HELP\*.GID

echo *    Delete the existing INI file 
ATTRIB -R %2\PROGRA~1\COMMON~1\BORLAND\OPENHELP\OPENHELP.INI
DEL %2\PROGRA~1\COMMON~1\BORLAND\OPENHELP\OPENHELP.INI

echo *    Rename the saved INI file 
ATTRIB -R %2\PROGRA~1\COMMON~1\BORLAND\OPENHELP\OHLPINI.SAV
REN %2\PROGRA~1\COMMON~1\BORLAND\OPENHELP\OHLPINI.SAV OPENHELP.INI


:AllDone

